Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 425380 - app-misc/sphinx-2.0.4 fails on automake AM_PROG_AR
Summary: app-misc/sphinx-2.0.4 fails on automake AM_PROG_AR
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Hans de Graaff
URL:
Whiteboard:
Keywords:
Depends on: 459952
Blocks: automake-1.12
  Show dependency tree
 
Reported: 2012-07-08 21:48 UTC by Stefan de Konink
Modified: 2013-03-02 09:10 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Add AM_PROG_AR for automake 1.12 (sphinx-2.0.4_automake-1.12.patch,638 bytes, patch)
2012-07-09 05:48 UTC, Brennan Shacklett
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan de Konink 2012-07-08 21:48:08 UTC
automake-1.12: warnings are treated as errors
/usr/share/automake-1.12/am/library.am: warning: 'libstemmer.a': linking libraries using a non-POSIX
/usr/share/automake-1.12/am/library.am: archiver requires 'AM_PROG_AR' in 'configure.ac'
libstemmer_c/Makefile.am:2:   while processing library 'libstemmer.a'
/usr/share/automake-1.12/am/library.am: warning: 'libsphinx.a': linking libraries using a non-POSIX
/usr/share/automake-1.12/am/library.am: archiver requires 'AM_PROG_AR' in 'configure.ac'
src/Makefile.am:6:   while processing library 'libsphinx.a'

The interesting part is, that a manual compilation, ./configure && make just does the trick.


Portage 2.1.11.5 (default/linux/amd64/10.0/no-multilib, gcc-4.6.3, glibc-2.15-r2, 3.4.4-gentoo x86_64)
=================================================================
System uname: Linux-3.4.4-gentoo-x86_64-QEMU_Virtual_CPU_version_0.15.1-with-gentoo-2.1
Timestamp of tree: Sat, 07 Jul 2012 17:45:01 +0000
app-shells/bash:          4.2_p29
dev-lang/python:          2.7.3-r2
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.10.5
sys-apps/sandbox:         2.6
sys-devel/autoconf:       2.69
sys-devel/automake:       1.11.4, 1.12.1
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.5.3-r2, 4.6.3
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.4 (virtual/os-headers)
sys-libs/glibc:           2.15-r2
Repositories: gentoo
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe"
DISTDIR="/var/tmp/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles news parallel-fetch parse-eapi-ebuild-head protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""

SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="acpi amd64 berkdb bzip2 caps cli cracklib crypt cups cxx dri fortran gdbm iconv ipv6 jpeg mmx modules ncurses nptl openmp pcre png pppd python2 readline session smp sse sse2 ssl tcpd unicode xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga neomagic nouveau nv r128 radeon savage sis tdfx trident vesa via vmware dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, MAKEOPTS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Brennan Shacklett 2012-07-09 05:48:19 UTC
Created attachment 317652 [details, diff]
Add AM_PROG_AR for automake 1.12

Also removes -Werror from automake to reduce future unnecessary failures
This bug should block bug 421465
Comment 2 Hans de Graaff gentoo-dev 2012-07-14 06:05:27 UTC
This patch causes an autoconf failure for me:


***** autoconf *****
***** PWD: /var/tmp/portage/app-misc/sphinx-2.0.4-r1/work/sphinx-2.0.4-release
***** autoconf

configure.ac:59: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call detected in body
../../lib/autoconf/lang.m4:194: AC_LANG_CONFTEST is expanded from...
../../lib/autoconf/general.m4:2591: _AC_COMPILE_IFELSE is expanded from...
../../lib/autoconf/general.m4:2607: AC_COMPILE_IFELSE is expanded from...
configure.ac:59: the top level
configure.ac:201: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call detected in body
../../lib/autoconf/lang.m4:194: AC_LANG_CONFTEST is expanded from...
../../lib/autoconf/general.m4:2591: _AC_COMPILE_IFELSE is expanded from...
../../lib/autoconf/general.m4:2607: AC_COMPILE_IFELSE is expanded from...
configure.ac:171: PTHREADS_TRY_RUNCOMPILE is expanded from...
../../lib/m4sugar/m4sh.m4:606: AS_IF is expanded from...
../../lib/autoconf/general.m4:2032: AC_CACHE_VAL is expanded from...
../../lib/autoconf/general.m4:2053: AC_CACHE_CHECK is expanded from...
configure.ac:201: the top level
configure.ac:223: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call detected in body
../../lib/autoconf/lang.m4:194: AC_LANG_CONFTEST is expanded from...
../../lib/autoconf/general.m4:2662: _AC_LINK_IFELSE is expanded from...
../../lib/autoconf/general.m4:2679: AC_LINK_IFELSE is expanded from...
configure.ac:186: PTHREADS_TRY_RUNLINK is expanded from...
../../lib/m4sugar/m4sh.m4:606: AS_IF is expanded from...
../../lib/autoconf/general.m4:2032: AC_CACHE_VAL is expanded from...
../../lib/autoconf/general.m4:2053: AC_CACHE_CHECK is expanded from...
configure.ac:223: the top level
configure.ac:57: error: possibly undefined macro: AM_PROG_AR
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
Comment 3 Fabian Groffen gentoo-dev 2012-08-06 07:59:35 UTC
same problem here

@graaff: it seems the eautoreconf is necessary for the api at the very least.  I tried avoiding it from the prefix point of view, and this compiles for me:

src_prepare() {
    epatch "${FILESDIR}"/${PN}-2.0.1_beta-darwin8.patch \
        "${FILESDIR}"/${P}_gcc-4.7.patch

    # drop nasty hardcoded search path breaking Prefix
    sed -i -e '/\/usr\/local\//d' configure.ac || die
    sed -i -e 's/\/usr\/local\//\/someplace\/nonexisting\//g' configure || die

    # Regenerate autoconf files in the api directory first to avoid
    # running elibtoolize twice, which results in a warning.
    pushd api/libsphinxclient || die
    eautoreconf
    popd || die

#   eautoreconf
}

(that is, I added a sed for configure, and skipped reconfing the top-level configure)
Comment 4 Hans de Graaff gentoo-dev 2012-08-08 17:13:15 UTC
(In reply to comment #3)
> same problem here

same as what? :-) original poster or my comment?
Comment 5 Fabian Groffen gentoo-dev 2012-08-08 17:14:27 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > same problem here
> 
> same as what? :-) original poster or my comment?

OP
Comment 6 Doug Goldstein (RETIRED) gentoo-dev 2013-02-28 21:16:43 UTC
If we can't make this happen soon, this package needs to get treecleaned.
Comment 7 Hans de Graaff gentoo-dev 2013-03-02 08:51:14 UTC
(In reply to comment #6)
> If we can't make this happen soon, this package needs to get treecleaned.

Or you could be polite and ask about the status first.
Comment 8 Hans de Graaff gentoo-dev 2013-03-02 08:52:41 UTC
  08 Aug 2012; Hans de Graaff <graaff@gentoo.org> sphinx-2.0.4-r1.ebuild:
  Avoid eautoreconf and thus the problem reported in bug 425380, thanks to
  grobian.

So this really should have been closed already and we need a new stable version.